Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class EndpointMessageProcessorChainBuilder

    java.lang.Object
      org.mule.processor.chain.AbstractMessageProcessorChainBuilder
          org.mule.processor.chain.DefaultMessageProcessorChainBuilder
              org.mule.endpoint.EndpointMessageProcessorChainBuilder

All Implemented Interfaces:
  MessageProcessorBuilder, MessageProcessorChainBuilder

    public class EndpointMessageProcessorChainBuilder

extends DefaultMessageProcessorChainBuilder

Field Summary
`protected ImmutableEndpoint` | `endpoint`

Fields inherited from class org.mule.processor.chain.AbstractMessageProcessorChainBuilder
`flowConstruct, name, processors`

Constructor Summary
`EndpointMessageProcessorChainBuilder(ImmutableEndpoint endpoint, FlowConstruct flowConstruct)`

Method Summary
`protected MessageProcessor` | `initializeMessageProcessor(Object processor)`

Methods inherited from class org.mule.processor.chain.DefaultMessageProcessorChainBuilder
`build, chain, chain, chain, chainBefore, chainBefore`

Methods inherited from class org.mule.processor.chain.AbstractMessageProcessorChainBuilder
`setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### endpoint

    protected ImmutableEndpoint endpoint

Constructor Detail

### EndpointMessageProcessorChainBuilder

    public EndpointMessageProcessorChainBuilder(ImmutableEndpoint endpoint,
                                                FlowConstruct flowConstruct)

Method Detail

### initializeMessageProcessor

    protected MessageProcessor initializeMessageProcessor(Object processor)
                                                   throws MuleException

  Overrides:
    `initializeMessageProcessor` in class `AbstractMessageProcessorChainBuilder`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.